Better filtering by namespace support
Open, Needs TriagePublic

Description

It's quite useful to be able to restrict the listing to the main namespace, the project namespace, or the template namespace.

Namespace filtering will not work for custom namespaces, since their IDs are completely random across projects. But even for those it would be useful to have to option to list only, or exclude, talk pages.

In the light of upcoming T487: RfC: Associated namespaces, don't rely on talk namespaces having odd IDs. Rather use MWNamespaces::isTalk / MWNamespaces::isSubject / MWNamespaces::getAssociated

daniel created this task.May 24 2015, 11:55 AM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Needs Triage.
daniel added a project: crosswatch.
daniel added subscribers: Aklapper, daniel.
Sitic claimed this task.May 24 2015, 12:36 PM
Sitic added a subscriber: Sitic.

The ability to filter for namespaces is a planned feature for T99930: Minimum viable product [tracking], the option to show only talk pages is certainly a good idea. The main difficulty for this is to find a good design for all the options.

Sitic moved this task from Backlog to Next up on the crosswatch board.May 25 2015, 4:57 PM
daniel updated the task description. (Show Details)May 27 2015, 1:45 PM
daniel set Security to None.
Sitic moved this task from Next up to In Progress on the crosswatch board.Jun 8 2015, 11:11 AM

Change 220119 had a related patch set uploaded (by Sitic):
Added namespace filtering

https://gerrit.wikimedia.org/r/220119

Change 220119 merged by Sitic:
Added namespace filtering

https://gerrit.wikimedia.org/r/220119

I think you should add the folowing namespaces and their talk pages to your list:

  • MediaWiki
  • Category

I think it would also be useful to make a difference between Other subject namespaces and other talk namespaces.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 11:15 AM
Sitic added a comment.Jul 2 2015, 1:57 PM

I'm a bit unhappy with the current namespace multiple select (e.g. it doesn't allow a quick select all or none).

I didn't add MediaWiki, MediaWiki Talk, Category and Category Talk as I thought the list is already a bit messy. I'll have another look on how to do it better.

Other talk namespaces is a great idea.

Sitic renamed this task from Support filtering by namespace to Better filtering by namespace support.Jul 2 2015, 1:58 PM

Change 224207 had a related patch set uploaded (by Sitic):
Add checkboxes to multiple select lists

https://gerrit.wikimedia.org/r/224207

Change 224207 merged by Sitic:
Add checkboxes to multiple select lists

https://gerrit.wikimedia.org/r/224207

Sitic moved this task from In Progress to Backlog on the crosswatch board.Aug 19 2015, 6:54 PM
Sitic moved this task from Backlog to Feature Requests on the crosswatch board.Aug 21 2015, 12:37 PM
Sitic added a comment.Aug 21 2015, 4:58 PM

Sitic, I think I remember you saying somewhere that you wished the "sites selected" dropdown was more elegant. (Perhaps I'm wrong?) I never know what sites are going to show up on my crosswatch and on pageload I usually see one site load before the rest. Consider adding a horizontal filter bar just above the list that would show each site/wiki currently included in the visible CW list (possibly with a count next to each one)? It would make it easy to see at a glance which wikis have action and then to toggle which ones should be viewable. There could also be a toggle for "all" and a hidden dropdown for all sites toggled off or sites without any updates. I think it'd be better than the dropdown. (I imagine most editors will have one primary wiki affiliation with a lot of hits and then a bunch of wikis that almost always get drowned out. The virtue of CW is being able to see those few hits in a sea of primary wiki hits.)